﻿@using Microsoft.AspNetCore.Identity
@using CarRental.Core.Models

@inject SignInManager<Account> SignInManager
@inject UserManager<Account> UserManager

<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="#" class="brand-link">
        <img src="~/admin-assets/dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
        <span class="brand-text font-weight-light">Admin Manager</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar user (optional) -->
        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                <img src="~/admin-assets/dist/img/avatar.png" class="img-circle elevation-2" alt="User Image">
            </div>
            <div class="info d-block">
                @if (SignInManager.IsSignedIn(User))
                {
                    <a href="#" class="d-block"> @User.Identity?.Name</a>
                }
                
            </div>
        </div>

        <!-- SidebarSearch Form -->
        <div class="form-inline">
            <div class="input-group" data-widget="sidebar-search">
                <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
                <div class="input-group-append">
                    <button class="btn btn-sidebar">
                        <i class="fas fa-search fa-fw"></i>
                    </button>
                </div>
            </div>
        </div>

        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <!-- Add icons to the links using the .nav-icon class
                     with font-awesome or any other icon font library -->
                <li class="nav-item">
                    <a asp-action="Index" asp-area="Admin" asp-controller="Home" class="nav-link">
                        <i class="nav-icon fas fa-tachometer-alt"></i>
                        <p>
                            Dashboard
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a asp-action="Index" asp-area="Admin" asp-controller="CustomerManagement" class="nav-link">
                        <i class="nav-icon fas fa-copy"></i>
                        <p>
                            Customer Management
                        </p>
                    </a>
                </li>
                <li class="nav-item">
                    <a asp-action="Index" asp-area="Admin" asp-controller="CarOwnerManagement" class="nav-link">
                        <i class="nav-icon fas fa-car"></i>
                        <p>
                            Car Owner Management
                        </p>
                    </a>
                </li>

            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>